Debian Bug report logs - #465005
libustr-dev: bashism in /bin/sh script

version graph

Package: libustr-dev; Maintainer for libustr-dev is Vaclav Ovsik <vaclav.ovsik@i.cz>; Source for libustr-dev is src:ustr.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Sun, 10 Feb 2008 08:16:47 UTC

Severity: important

Found in version ustr/1.0.3-1

Fixed in version ustr/1.0.3-2

Done: Vaclav Ovsik <vaclav.ovsik@i.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Vaclav Ovsik <vaclav.ovsik@i.cz>:
Bug#465005; Package libustr-dev. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: libustr-dev: bashism in /bin/sh script
Date: Sun, 10 Feb 2008 02:13:22 -0600
Package: libustr-dev
Severity: important
Version: 1.0.3-1
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package) 
check I've found your package containing a /bin/sh script making 
use of a bashism.

checkbashisms' output:
> possible bashism in ./usr/bin/ustr-import line 19 ('function' is useless):
> function usage
> possible bashism in ./usr/bin/ustr-import line 210 ('function' is useless):
> function copy


Not using bash as /bin/sh would lead to errors. Please be aware that although 
bash is currently the default /bin/sh there's a release goal for Lenny to 
make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Information forwarded to debian-bugs-dist@lists.debian.org, Vaclav Ovsik <vaclav.ovsik@i.cz>:
Bug#465005; Package libustr-dev. Full text and rfc822 format available.

Acknowledgement sent to Václav Ovsík <vaclav.ovsik@i.cz>:
Extra info received and forwarded to list. Copy sent to Vaclav Ovsik <vaclav.ovsik@i.cz>. Full text and rfc822 format available.

Message #8 received at 465005@bugs.debian.org (full text, mbox):

From: Václav Ovsík <vaclav.ovsik@i.cz>
To: 465005@bugs.debian.org
Subject: Re: Bug#465005: libustr-dev: bashism in /bin/sh script
Date: Tue, 12 Feb 2008 09:07:00 +0100
Hi,
I'm waiting for the sponsor to upload the version 1.0.3-2 from VCS.
-- 
Zito




Tags added: pending Request was from Václav Ovsík <vaclav.ovsik@i.cz> to control@bugs.debian.org. (Wed, 13 Feb 2008 11:03:03 GMT) Full text and rfc822 format available.

Reply sent to Vaclav Ovsik <vaclav.ovsik@i.cz>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 465005-close@bugs.debian.org (full text, mbox):

From: Vaclav Ovsik <vaclav.ovsik@i.cz>
To: 465005-close@bugs.debian.org
Subject: Bug#465005: fixed in ustr 1.0.3-2
Date: Wed, 13 Feb 2008 21:03:00 +0000
Source: ustr
Source-Version: 1.0.3-2

We believe that the bug you reported is fixed in the latest version of
ustr, which is due to be installed in the Debian FTP archive:

libustr-1.0-1-dbg_1.0.3-2_amd64.deb
  to pool/main/u/ustr/libustr-1.0-1-dbg_1.0.3-2_amd64.deb
libustr-1.0-1_1.0.3-2_amd64.deb
  to pool/main/u/ustr/libustr-1.0-1_1.0.3-2_amd64.deb
libustr-dev_1.0.3-2_amd64.deb
  to pool/main/u/ustr/libustr-dev_1.0.3-2_amd64.deb
libustr-doc_1.0.3-2_all.deb
  to pool/main/u/ustr/libustr-doc_1.0.3-2_all.deb
ustr_1.0.3-2.diff.gz
  to pool/main/u/ustr/ustr_1.0.3-2.diff.gz
ustr_1.0.3-2.dsc
  to pool/main/u/ustr/ustr_1.0.3-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465005@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vaclav Ovsik <vaclav.ovsik@i.cz> (supplier of updated ustr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 11 Feb 2008 13:13:13 +0100
Source: ustr
Binary: libustr-1.0-1 libustr-1.0-1-dbg libustr-dev libustr-doc
Architecture: source all amd64
Version: 1.0.3-2
Distribution: unstable
Urgency: low
Maintainer: Kees Cook <kees@ubuntu.com>
Changed-By: Vaclav Ovsik <vaclav.ovsik@i.cz>
Description: 
 libustr-1.0-1 - Micro string library: shared library
 libustr-1.0-1-dbg - Micro string library: debugging symbols
 libustr-dev - Micro string library: development stuff
 libustr-doc - Micro string library: documentation
Closes: 465005
Changes: 
 ustr (1.0.3-2) unstable; urgency=low
 .
   * ustr-import: removed bashism - function definitions using
     the keyword `function'. Closes: #465005
   * ustr.3, ustr_const.3, ustr_import.1: removed undefined macros
     (.NH, .HY, .Vb, .Ve). The lintian warned about it.
Files: 
 576f70d3d832ae19e6e5309d98305953 762 libs optional ustr_1.0.3-2.dsc
 7000840699a936feb3e2eb8cbd61d849 289217 libs optional ustr_1.0.3.orig.tar.gz
 79453b42e0418c2f7beb2955b127d610 4324 libs optional ustr_1.0.3-2.diff.gz
 a0fac4473b9a5a40620bfce5c0a5027a 101578 doc optional libustr-doc_1.0.3-2_all.deb
 ea4c1f42217cc60bf504f02f9a63facc 77982 libs optional libustr-1.0-1_1.0.3-2_amd64.deb
 3944ed636057e3f93af95cf0416b5cec 185834 libs extra libustr-1.0-1-dbg_1.0.3-2_amd64.deb
 52210e31f09138b89a28e8504884a1d2 281416 libdevel optional libustr-dev_1.0.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHs1GyH/9LqRcGPm0RApWWAJsHn0Q8MuEaelKHBtjmp8qYaBFBLACgmE6z
2Ds5ypU4D76/YoqV94RQIHM=
=0Qjq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Mar 2008 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:14:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.